[tool.poetry]
name = "nanite"
version = "1.0.0.0"
description = "A small but important component of the nanotech module."
authors = ["shadowrylander <titaniumfiles@outlook.com>"]
license = "GPL-2.0"
include = ["nanite/**/*.py"]

[tool.poetry.dependencies]
python = "^3.8"
autoslot = "*"
click = "*"
loguru = "*"
sty = "*"
webcolors = "*"
pout = {version = "*", optional = true}

[tool.poetry.extras]
p = ["pout"]

[tool.poetry.dev-dependencies]
pytest = "^3.0"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
